Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

Description

I'd like to define Process::EXIT_SUCCESS and Process::EXIT_FAILURE.

I want to use them to test my command line application.

The test calls the main routine of the application and

traps SystemExit.

I'd like to compare status of the exception and EXIT_SUCCESS/EXIT_FAILURE

but Ruby doesn't have constants for them.

Note that the test doesn't spawn a process.

So, there is no Process::Status object and Process::Status#success? is not usable.

History

#1 - 12/08/2011 03:00 PM - nobu (Nobuyoshi Nakada)

- Status changed from Open to Feedback

=begin

Why don't you use (({SystemExit#success?})) ?

=end

#2 - 12/08/2011 05:23 PM - akr (Akira Tanaka)

2011/12/8 Nobuyoshi Nakada nobu@ruby-lang.org:

Why don't you use (({SystemExit#success?})) ?

 

Oops.  I missed that.  Thanks.

Tanaka Akira

#3 - 11/20/2012 09:08 PM - nobu (Nobuyoshi Nakada)

- Status changed from Feedback to Closed

Files

process-exit-success-failure-constants.patch 534 Bytes 12/08/2011 akr (Akira Tanaka)
